Bug 346 - setting browsing = no in [homes] has confusing effect
setting browsing = no in [homes] has confusing effect
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All All
: P3 normal
: none
Assigned To: Jelmer Vernooij
http://us2.samba.org/samba/ftp/docs/h...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-25 09:57 UTC by robert ruegner
Modified: 2005-11-14 09:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description robert ruegner 2003-08-25 09:57:12 UTC
smb.conf man says:
		An important point is that if guest access is specified in the 
[homes] section, all home directories will be visible to all clients without a 
password. In the very unlikely event that this is actually desirable, it would 
be wise to also specify read only access.

Note that the browseable flag for auto home directories will be inherited from 
the global browseable flag, not the [homes] browseable flag. This is useful as 
it means setting browseable = no in the [homes] section will hide the [homes] 
share but make any auto home directories visible.

and this is my bug
samba 3rc2 cvs 20.8.03 act as pdc , client win2000 serv pack4 german.

I included the the browseable = no 
in the home section.
i connect with user "a" everything works fine (home mapping etc)
\\linuxpdc shows "a" home share 
relog as user "b" 
now i can see home shares from both when i connect to \\linuxpdc
same for user "c" and so on.
the browseable = no ,works fine for the profile an netlogon section which
never appears.
restarting smb service during login removes the sightable of the other user
shares
normally i would expect only to see the logged in users home
if i set browseable = no in the home section
Comment 1 robert ruegner 2003-08-25 09:59:15 UTC
i am sorry to give no log,
but as far i can see there is nothing special related to this behavior
in the log, per haps you can give advice what to look for
Comment 2 robert ruegner 2003-08-26 13:26:03 UTC
with latest cvs 26.8.03 this bug seems to be fixed
browsing = no in homes works now
Comment 3 Gerald (Jerry) Carter 2003-08-28 09:11:33 UTC
I'm reverting the change in param/loadparm.c r1.397.2.91
because I think the browseable setting is more useful 
when it is inheritied from the gloabl section 
and not directly from homes.  This is inline with 2.2

So this bug is really a configuration bug at this point.
Add

    [global]
         browseable = no

to get the behavior you want.
Comment 4 Gerald (Jerry) Carter 2005-02-07 09:05:56 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:23:23 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:27:16 UTC
database cleanup